Bug 1282097 - python-mpd: [PATCH] port to python3
python-mpd: [PATCH] port to python3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-mpd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Orsava
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
  Show dependency treegraph
 
Reported: 2015-11-14 17:00 EST by Ralph Bean
Modified: 2016-05-25 12:20 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-mpd-0.2.1-12.fc25
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-25 12:20:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Port to python3 and modernize python macros. (4.22 KB, patch)
2015-11-14 17:00 EST, Ralph Bean
no flags Details | Diff
Python 3 support patch (4.25 KB, patch)
2016-05-19 05:29 EDT, Tomas Orsava
no flags Details | Diff

  None (edit)
Description Ralph Bean 2015-11-14 17:00:36 EST
Created attachment 1094218 [details]
Port to python3 and modernize python macros.

Upstream appears to be dead :(  but here's a patch!
Comment 1 Jan Kurik 2016-02-24 08:57:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Toshio Ernie Kuratomi 2016-02-28 07:30:29 EST
Still not built for python3 in rawhide.
Comment 3 Ralph Bean 2016-03-28 21:37:40 EDT
Haïkel, any chance to apply this?
Comment 4 Tomas Orsava 2016-05-19 05:29 EDT
Created attachment 1159332 [details]
Python 3 support patch

Hi, Ralph!

Thank you for submitting a patch for Python 3!
As the maintainer has not responded in a long time, I hope that they won't mind if we review and push the patch ourselves.

I made a few changes during the review:
- Rebased the patch onto current version of spec file as it did not apply cleanly.
- Summary and descriptions of subpackages were referring to a different package, fixed that.
- Added doc/commands.txt file into %doc

Overall the patch looks great, thank you very much!

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14166105
Comment 5 Miro Hrončok 2016-05-19 07:47:05 EDT
Applied, pushed, building http://koji.fedoraproject.org/koji/taskinfo?taskID=14168321

Note You need to log in before you can comment on or make changes to this bug.